HCXWLTOOL(1)

NAME
hcxwltool - tool to calculate candidates for hashcat and john based on hcxpcaptool output

DESCRIPTION
Calculates candidates for hashcat and john based on hcxpcaptool output (-E, -I- -U)

USAGE

    hcxwltool <options>

OPTIONS

-i        : input worlist

-o <file> : output wordlist to file

-h        : show this help

-v        : show version

--straight       : output format untouched

--digit          : output format only digits

--xdigit         : output format only xdigits

--lower          : output format only lower

--upper          : output format only upper

--capital        : output format only capital

--length=<digit> : password length (8...32)

--help           : show this help

--version        : show version

EXAMPLES

hcxwltool -i wordlist --straight | sort | uniq |  | sort | uniq | hashcat -m 2500 hashfile.hccapx

hcxwltool -i wordlist --digit --length=10 | sort | uniq |  | sort | uniq | hashcat -m 2500 hashfile.hccapx

hcxwltool -i wordlist --digit | sort | uniq | hashcat -m 16800 hashfile.16800

hcxwltool -i wordlist --xdigit | sort | uniq | john --stdin --format=wpapsk-opencl hashfile.16800